git-branchless-restack(1)

NAME
restack - Fix up commits abandoned by a previous rewrite operation

SYNOPSIS
restack [--hidden] [-f|--force-rewrite] [--in-memory] [--on-disk] [--no-deduplicate-commits] [-m|--merge] [--debug-dump-rebase-constraints] [--debug-dump-rebase-plan] [-h|--help] [REVSETS]

DESCRIPTION
Fix up commits abandoned by a previous rewrite operation

OPTIONS

--hidden
    Include hidden commits in the results of evaluating revset expressions

-f, --force-rewrite
    Force moving public commits, even though other people may have access to those commits

--in-memory
    Only attempt to perform an in-memory rebase. If it fails, do not attempt an on-disk rebase

--on-disk
    Skip attempting to use an in-memory rebase, and try an on-disk rebase directly

--no-deduplicate-commits
    Don't attempt to deduplicate commits. Normally, a commit with the same contents as another commit which has already been applied to the target branch is skipped. If set, this flag skips that check

-m, --merge
    Attempt to resolve merge conflicts, if any. If a merge conflict occurs and this option is not set, the operation is aborted

--debug-dump-rebase-constraints
    Debugging option. Print the constraints used to create the rebase plan before executing it

--debug-dump-rebase-plan
    Debugging option. Print the rebase plan that will be executed before executing it

-h, --help
    Print help

[REVSETS] [default: draft()]
    The IDs of the abandoned commits whose descendants should be restacked. If not provided, all abandoned commits are restacked